Page MenuHomePhabricator

Replace Cassandra-uuid with uuid
Closed, ResolvedPublic

Description

The cassandra-uuid package was originally created as a port of cassandra node driver UUID generation to it's own library because at that point all good uuid generators in node had binary dependencies. Now the uuid package got rid of binary dependencies and it's almost 10 times faster then cassandra-uuid. We need to deprecate and replace in-house software.

Event Timeline

Pchelolo created this task.May 18 2019, 9:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2019, 9:06 AM
Pchelolo triaged this task as Lowest priority.May 18 2019, 9:06 AM
mobrovac raised the priority of this task from Lowest to Normal.May 18 2019, 2:52 PM
mobrovac awarded a token.
mobrovac added a subscriber: mobrovac.

Since the performance of uuid is much much better than cassandra-uuid, we should do it sooner rather than later.

holger.knust updated the task description. (Show Details)Jun 7 2019, 9:08 PM
holger.knust updated the task description. (Show Details)Jun 10 2019, 1:08 AM
holger.knust updated the task description. (Show Details)Jun 10 2019, 5:58 PM
holger.knust updated the task description. (Show Details)Jun 11 2019, 1:22 AM
holger.knust updated the task description. (Show Details)Jun 11 2019, 2:43 AM
Pchelolo added subscribers: Ottomata, holger.knust.

kafkaSSE is the only one left. Would you mind taking care of it @Ottomata ?

Ottomata updated the task description. (Show Details)Jun 25 2019, 1:26 PM

Change 519012 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Bump KafkaSSE version to replace cassandra-uuid with uuid

https://gerrit.wikimedia.org/r/519012

Change 519012 merged by Ottomata:
[mediawiki/services/eventstreams@master] Bump KafkaSSE version to replace cassandra-uuid with uuid

https://gerrit.wikimedia.org/r/519012

I've bumped the EventStreams KafkaSSE dependency. Do I need to deploy EventStreams or is waiting until the next time we deploy ok?

Ottomata updated the task description. (Show Details)Jun 25 2019, 1:34 PM
mobrovac closed this task as Resolved.Jun 25 2019, 1:38 PM

I've bumped the EventStreams KafkaSSE dependency. Do I need to deploy EventStreams or is waiting until the next time we deploy ok?

Waiting till next time is fine. Thank you @Ottomata !